version: '3'

services:
  db:
    image: mysql:5.7
    container_name: db
    env_file: .env
    volumes:
      - ./data-db:/var/lib/mysql
    command: '--default-authentication-plugin=mysql_native_password'
    networks:
      - app-network
    logging:
      driver: "json-file"
      options:
        max-size: "10m"
        max-file: "10"
    stop_grace_period: 1m
    restart: unless-stopped

  app-api:
    depends_on:
      - db
    build:
      context: ./app-api/
      target: dev
    image: app-api-dev
    container_name: app-api
    ports:
      - "3001:3001"
    environment:
      NODE_ENV: development
      DEBUG: nodejs-docker-express:*
    volumes:
      - ./app-api:/app
      - /app/node_modules
    networks:
      - app-network
    restart: unless-stopped

  app-ui:
    build:
      context: ./app-ui/
      target: dev
    image: app-ui-dev
    container_name: app-ui
    ports:
      - "3000:3000"
    environment:
      NODE_ENV: development
    volumes:
      - ./app-ui:/app
      - /app/node_modules
    networks:
      - app-network
    restart: unless-stopped

networks:
  app-network:
    driver: bridge
